FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 08-15-2010, 08:12 PM
Sergei Trofimovich
 
Default (resend) dev-embedded/libftd2xx move to '/opt' breaks dev-embedded/openocd

Hi

I tried to build (i don't know what do i need of those for sheevaplug)
USE="ftd2xx ftdi parport presto usb" dev-embedded/openocd
and got failure:

checking for ftd2xx.h... yes
checking for library containing FT_GetLibraryVersion... no
configure: error: You appear to be missing the FTD2xx driver library.

!!! ERROR in dev-embedded/openocd-0.3.1::gentoo:
!!! In econf at line 1719
!!! econf failed

config.log snippet:

configure:17012: x86_64-pc-linux-gnu-gcc -std=gnu99 -o conftest -O2 -pipe -I${prefix}/include -Wl,-O1 -Wl,--as-needed -Wl,-O1
-Wl,--as-needed -L/usr/lib -Wl,-rpath,/usr/lib conftest.c -lftd2xx -ldl >&5
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lftd2xx

Seems it's a result of move and lack of env.d entry

> *libftd2xx-0.4.16 (17 Jun 2009)
>
> 17 Jun 2009; Mike Frysinger <vapier@gentoo.org> +libftd2xx-0.4.16.ebuild:
> Version bump, add multilib support #261315 by Micke Prag, and fix path
> install #261286 by Diego E. Pettenò.

My /etc/ld.so.conf.d/ is empty, and /etc/ld.so.conf contains:

[sf] /etc:cat ld.so.conf
# ld.so.conf autogenerated by eselect
# Make all changes to /etc/env.d files
/usr/local/lib
include ld.so.conf.d/*.conf
//usr/lib32/opengl/xorg-x11/lib
//usr/lib64/opengl/xorg-x11/lib
/lib
/usr/lib
/lib64
/usr/lib64
/usr/local/lib64
/lib32
/usr/lib32
/usr/local/lib32
/usr/x86_64-pc-linux-gnu/lib
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.4/32
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/32
//usr/lib64/xulrunner-1.9.2
/usr/lib64/qca2
/usr/lib/qt4
/usr/lib64/qt4
/usr/lib32/qt4
/usr/lib64/postgresql-9.0/lib64
/usr/lib64/sidplay/builders
/usr/lib/sidplay/builders
/usr/games/lib
/usr/games/lib64
/usr/games/lib32

Sorry for not patching it myself. I haven't decided what to choose:

1. just envadd LDPATH="/opt/lib64" (but it can occur in many other ebuilds)
2. push something similar to baselayout (we have /usr/local/lib after all)
3. move this library to /opt/libftd2xx/lib64 and envadd LDPATH= there

UPD.:
I fixed it for myself by disabling faulty stuff: USE="-ftd2xx -presto".
Was enough for my device, but libftd2xx smells unusable.

--

Sergei
 

Thread Tools




All times are GMT. The time now is 05:17 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org